/**
  * ProvaContenitoreOrdinabile3
  * memorizza in un archivio numeri complessi (che non realizzano l'interfaccia java.lang.Comparable!)
  * e successivamente cerca di ordinarli
  *
  * uso: $ java ProvaArchivioOrdinabile3 < complex.txt
  * @author Adriano Luchetta
  * @version 7-Nov-2003
  * @version 20-Nov-2004
  */

import java.util.Scanner;
import java.util.NoSuchElementException;

public class ProvaContenitoreOrdinabile3
{
   public static void main(String[] args)
   {
      ContenitoreOrdinabile archivio = new ContenitoreOrdinabile();

      Scanner in = new Scanner(System.in);

      int contatoreDiRiga = 0;
      String riga = "";
      while (in.hasNextLine())
      {
         contatoreDiRiga++;
         riga = in.nextLine();
         Scanner tok = new Scanner(riga);
         tok.useDelimiter("[:]+");

         try
         {
            String nome = tok.next();
            int matricola = tok.nextInt();
            archivio.aggiungi(new Studente(nome, matricola));
         }
         catch (NoSuchElementException e)
         {
            System.out.println("riga " + contatoreDiRiga + " errata: " + riga);
         }
      }

      in.close();

      archivio.ordina();

      while (!archivio.isEmpty())
         System.out.println((MyComplex)archivio.togliUltimo());
   }
}




